10.8.2 supports nVidia gpus from G80 core to the newest kepler series ([LINK]). This does not mean that all of them will work of course but most of them will.
Some of them work with issues (some are known issues and some may not be, so that there is not a release yet, not many people are using it and there is not much feedback) and some may not work but most of them will have success.
Besides, many of the nVidia cards will need device id injection to Apple's stock drivers (our release will include automated device id injection option), however nVidia's drivers for 10.8.1 does not need that injection.

About ATI, you know I am so not interested in ATI cards but for now 7xxx is not supported. Most of the ATI 6xxx/5xxx/4xxx cards work with modified drivers and the users will have to take the additional steps to use such cards after installation.

by uphuck: